package com.tencent.txcplayeradapterdemo;

import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import com.tencent.txcplayeradapter.ITXCPlayerAssistor;
import com.tencent.txcplayeradapter.ITXCRequestVideoInfoCallback;
import com.tencent.txcplayeradapter.TXCPlayerAdapter;
import com.tencent.txcplayeradapter.model.TXCImageSpriteInfo;
import com.tencent.txcplayeradapter.model.TXCKeyFrameDescInfo;
import com.tencent.txcplayeradapter.model.TXCStreamingInfo;
import com.tencent.txcplayeradapter.model.TXCVideoBasicInfo;

import java.util.List;

import androidx.appcompat.app.AppCompatActivity;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    private final String TAG = "MainActivity";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        initView();
    }

    private void initView() {
        findViewById(R.id.btn_play).setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        String appId = ((EditText) findViewById(R.id.ed_appid)).getText().toString();
        String fileId = ((EditText) findViewById(R.id.ed_fileid)).getText().toString();
        String pSign = ((EditText) findViewById(R.id.ed_psign)).getText().toString();
        if (TextUtils.isEmpty(appId) || TextUtils.isEmpty(fileId) || TextUtils.isEmpty(pSign)) {
            Toast.makeText(this, "appId, fileId, pSign 不能为空", Toast.LENGTH_SHORT).show();
            return;
        }
        startPlay(appId, fileId, pSign);
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        // 销毁
        TXCPlayerAdapter.destroy();
    }

    private void startPlay(String appId, String fileId, String pSign) {
        TXCPlayerAdapter.init(Integer.valueOf(appId));
        TXCPlayerAdapter.setLogEnable(true);
        VideoActivity.playVideo(MainActivity.this, fileId, pSign);
    }
}